Core - Bug # 57117

Status: Resolved Priority: Must have
Author: Markus Klein Category: Caching
Created: 2014-03-20 Assigned To: Markus Klein
Updated: 2014-03-21 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity: easy

Is Regression: No

Sprint Focus:

Subject: Class loader must handle information about invalid classes

Description

The class loader currently does not properly handle the case, when class information is retrieved by the cache which signals an invalid

class.

Currently it tries to generate class information over and over again.

Related issues:

related to Core - Bug # 56933: Cached class loader misses are not considered ...

Resolved 2014-03-15

Associated revisions

Revision baebd056 - 2014-03-20 23:40 - Markus Klein

[BUGFIX] Class loader handles information about invalid classes

Resolves: #57117

Related: #56933

Releases: 6.2

Change-Id: 1e305b808b0a9b9e10b5adca4af9e2562cf5123f6
Reviewed-on: https://review.typo3.org/28577

Reviewed-by: Wouter Wolters
Reviewed-by: Christian Kuhn
Reviewed-by: HelImut Hummel

Tested-by: Helmut Hummel

Revision 274e7eea - 2014-03-21 11:32 - Helmut Hummel

[FOLLOWUP] Class loader handles invalid classes

The check if we have class information

can be simplified to lempty()

Resolves: #57117

Related: #56933

Releases: 6.2

Change-Id: 18532b26142cc39da2b9bcca9880df715da57d59e
Reviewed-on: https://review.typo3.org/28596

Reviewed-by: Frans Saris
Reviewed-by: Markus Klein
Tested-by: Markus Klein
https://review.typo3.org/28577
https://review.typo3.org/28596

Reviewed-by: Stefan Neufeind
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

History

#1 - 2014-03-20 19:53 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/28577

#2 - 2014-03-20 20:04 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28577

#3 - 2014-03-20 23:05 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28577

#4 - 2014-03-20 23:06 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28577

#5 - 2014-03-21 00:30 - Markus Klein
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:baebd056338a4ca88b2dad174178a9011cadd7db.

#6 - 2014-03-21 11:21 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28596

#7 - 2014-03-21 12:31 - Helmut Hummel
- Status changed from Under Review to Resolved

Applied in changeset commit:274e7eea04b3ed49cb0759fcbb71651bceeb02bd.
